"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getSelectionRange = getSelectionRange;

var _isContentEditable = require("./isContentEditable");

function getSelectionRange(element) {
  if ((0, _isContentEditable.isContentEditable)(element)) {
    const selection = element.ownerDocument.getSelection();

    if (selection != null && selection.rangeCount) {
      const range = selection.getRangeAt(0);
      return {
        selectionStart: range.startOffset,
        selectionEnd: range.endOffset
      };
    } else {
      return {
        selectionStart: null,
        selectionEnd: null
      };
    }
  }

  return {
    selectionStart: element.selectionStart,
    selectionEnd: element.selectionEnd
  };
}